All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface is subject to change. ***

## com.sas.iquery.metadata.business
Interface Governing

All Superinterfaces:
  Base, BusinessModelObject, BusinessModelResource, BusinessModelResourceReferencer, BusinessRule, java.lang.Cloneable, java.util.EventListener, ExtendedAttributes, ModelItem, ModelItemWithIdentity, NamedObjectInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, UsabilityInterface

    public interface Governing

extends BusinessRule

Specifies a simple business rule that governs or limits the output of a business query when the query is run.

Currently, this class supports governing by setting a value to limit the number of output records that are returned from the query.

See Also:
  `BusinessRule`

Field Summary
`static java.lang.String` | `EVENT_INPUT_OBS_CHANGED` Sent when InputObservations property set.
`static java.lang.String` | `EVENT_OUTPUT_OBS_CHANGED` Sent when OutputObservations property set.

Fields inherited from interface com.sas.iquery.metadata.business.ModelItemWithIdentity
`EVENT_DESCRIPTION_CHANGED, EVENT_HIDDEN_CHANGED, EVENT_ID_CHANGED, EVENT_LABEL_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Method Summary
`int` | `getInputObservations()` Returns the suggested maximum number of records to be used as input for a business query.
`int` | `getOutputObservations()` Returns the suggested maximum number of records to return from a business query.
`void` | `setInputObservations(int maxObservations)` Sets the suggested maximum number of records to be used as input for a business query.
`void` | `setOutputObservations(int maxObservations)` Sets the suggested maximum number of records to return from a business query.

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelObject
`getBusinessModel, isContainedInBusinessModel, isIDOK, isReadOnly`

Methods inherited from interface com.sas.iquery.metadata.business.ModelItemWithIdentity
`getID, getIdentityString, getIntraModelID, isHidden, isUnresolved, setDescription, setIntraModelID, setIsHidden, setLabel`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResource
`isUnresolved`

Methods inherited from interface com.sas.iquery.metadata.NamedObjectInterface
`getDescription, getLabel`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.business.ExtendedAttributes
`getExtendedAttributes, setExtendedAttributes`

Field Detail

*** This field is subject to change. ***

### EVENT_OUTPUT_OBS_CHANGED

    static final java.lang.String EVENT_OUTPUT_OBS_CHANGED

  Sent when OutputObservations property set.

  See Also:
    Constant Field Values

*** This field is subject to change. ***

### EVENT_INPUT_OBS_CHANGED

    static final java.lang.String EVENT_INPUT_OBS_CHANGED

  Sent when InputObservations property set.

  See Also:
    Constant Field Values

Method Detail

*** This method is subject to change. ***

### getOutputObservations

    int getOutputObservations()

  Returns the suggested maximum number of records to return from a business query. If the value is -1 then no limit has been set. Note: this method is valid only for relational data sources.

  Returns:
    Suggested max output records.

*** This method is subject to change. ***

### setOutputObservations

    void setOutputObservations(int maxObservations)
                               throws MetadataException

  Sets the suggested maximum number of records to return from a business query. If the value is -1 then no limit has been set. Note: this method is valid only for relational data sources.

  Parameters:
    `maxObservations` - Suggested max output records.
  Throws:
    `MetadataException`

*** This method is subject to change. ***

### getInputObservations

    int getInputObservations()

  Returns the suggested maximum number of records to be used as input for a business query. If the value is -1 then no limit has been set.

  Returns:
    Suggested max input records.

*** This method is subject to change. ***

### setInputObservations

    void setInputObservations(int maxObservations)
                              throws MetadataException

  Sets the suggested maximum number of records to be used as input for a business query. If the value is -1 then no limit has been set. Note: this method is valid only for relational data sources..

  Parameters:
    `maxObservations` - Suggested max input records.
  Throws:
    `MetadataException`

*** This interface is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.